    <link href="chart.component.css" rel="stylesheet">
    <div>
        <div>
            <div class="style">
                <div id="inner">
                    <!--<h1>Pick a chart</h1>-->
                    <button class="graph-button" (click)="displayBarChart()">Bar</button>
                    <button class="graph-button" (click)="displayBoxPlotChart()" [disabled]="isDisabled">Box Plot</button>
                    <button class="graph-button" (click)="displayPieChart()" [disabled]="isDisabled">Pie</button>
                    <button class="graph-button" (click)="displayLineChart()" [disabled]="isDisabled">Line</button>
                    <!--<button class="graph-button" (click)="processDataLinearChart()" [disabled]="isDisabled">Linear regression</button>-->
                </div>

                <div id="inner">
                    <div *ngIf="display">
                        <app-bar [data]="parentData" [childLabel]="labels"></app-bar>    
                    </div>
                    <div *ngIf="displayBox">
                        <app-box [data]="parentData" [childLabel]="labels"></app-box>
                    </div>
                    <div *ngIf="displayPie">
                        <app-pie [data]="parentData" [childLabel]="labels"></app-pie>
                    </div>
                    <div *ngIf="displayLine">
                        <app-line [data]="parentData" [childLabel]="labels"></app-line>
                    </div>

                    <!--<div *ngIf="displayLinear">
                        <app-linear [data]="parentData"></app-linear>
                    </div>-->
                </div>

            </div>
            <!-- For responsive graphs, the parent element must be 100% width -->
                <!--<div class="w-104" #lineGraph></div>-->
        </div>
    </div>

    <!--<mat-dialog-actions align="end">
        <button>Cancel</button>
    </mat-dialog-actions>-->